using System;
using System.Data;
using System.Data.SqlClient;

using HISClinic.DataModel;
using Microsoft.ApplicationBlocks.Data;
using HISClinic.DataServices.Database;

namespace HISClinic.DataServices
{
	/// <summary>
	/// DepartmentMapper 的摘要说明。
	/// </summary>
	public class DepartmentMapper
	{
		public DepartmentMapper()
		{
			//
			// TODO: 在此处添加构造函数逻辑
			//
		}

		/// <summary>
		/// 获取门诊科室
		/// </summary>
		/// <returns></returns>
		public DepartmentsEx GetDepartment()
		{
			DepartmentsEx departmentsEx=new DepartmentsEx();
			using(SqlConnection conn=HISDBConfig.GetConnection())
			{
				SqlHelper.FillDataset(conn,CommandType.StoredProcedure, "ut_GetDepartment",(DataSet)departmentsEx,new string[] {DepartmentsEx.t_DepartmentDataTableEx.TableName_Department});
			}
			return departmentsEx;
		}
	}	
}
